import numpy as np
import matplotlib.pyplot as plt
from netCDF4 import Dataset
from wrf import getvar, ll_to_xy


ncfile = Dataset('wrfout_d02_2024-01-28_18:00:00')

lat, lon = 68.9764, 32.9889
xx, yy = ll_to_xy(ncfile, lat, lon, timeidx=0, meta=False)

print(xx,yy)

mdbz = getvar(ncfile, 'mdbz', timeidx=None, meta=False)

mdbz_murmansk = mdbz[:,xx,yy]

plt.plot(mdbz_murmansk)
plt.show()
